package types

import (
	"testing"

	"github.com/go-playground/assert/v2"
)

func TestErrorResponses_String(t *testing.T) {
	assert.Equal(t, MissingInformation.String(), "fehlende Informationen")
	assert.Equal(t, CannotCreate.String(), "kann nicht gespeichert werden")
	assert.Equal(t, CannotUpdate.String(), "kann nicht geändert werden")
	assert.Equal(t, CannotDelete.String(), "kann nicht gelöscht werden")
	assert.Equal(t, CannotFind.String(), "kann nicht gefunden werden")
	assert.Equal(t, StillInUse.String(), "noch in Verwendung")
	assert.Equal(t, CannotParse.String(), "kann nicht verarbeitet werden")
}

func TestParseItemType(t *testing.T) {
	assert.Equal(t, ParseItemType("0"), Food)
	assert.Equal(t, ParseItemType("1"), ColdDrink)
	assert.Equal(t, ParseItemType("2"), HotDrink)
}
